F12. Rename of user on MediaWiki.org is not fully reflected, causing LQT->Flow error
Closed, ResolvedPublic

Description

The relevant extract is:

1​[2015-07-10 11:18:45] Importing new topic
2​[2015-07-10 11:18:45] Failed importing topic: topiclqt-api:local:thread_id:9827
3​[2015-07-10 11:18:45] exception 'Flow\Import\ImportException' with message 'User does not exist: Ecliptica' in /srv/mediawiki/php-1.26wmf13/extensions/Flow/includes/Import/Importer.php:388
4​Stack trace:
5​#0 /srv/mediawiki/php-1.26wmf13/extensions/Flow/includes/Import/Importer.php(722): Flow\Import\PageImportState->createUser('Ecliptica')
6​#1 /srv/mediawiki/php-1.26wmf13/extensions/Flow/includes/Import/Importer.php(905): Flow\Import\{closure}(Object(Flow\Import\LiquidThreadsApi\ImportTopic))
7​#2 /srv/mediawiki/php-1.26wmf13/extensions/Flow/includes/Import/Importer.php(730): Flow\Import\TalkpageImportOperation->importObjectWithHistory(Object(Flow\Import\LiquidThreadsApi\ImportTopic), Object(Closure), 'edit-title', Object(Flow\Import\PageImportState), Object(Title))
8​#3 /srv/mediawiki/php-1.26wmf13/extensions/Flow/includes/Import/Importer.php(686): Flow\Import\TalkpageImportOperation->createTopicState(Object(Flow\Import\PageImportState), Object(Flow\Import\LiquidThreadsApi\ImportTopic))
9​#4 /srv/mediawiki/php-1.26wmf13/extensions/Flow/includes/Import/Importer.php(588): Flow\Import\TalkpageImportOperation->getTopicState(Object(Flow\Import\PageImportState), Object(Flow\Import\LiquidThreadsApi\ImportTopic))
10​#5 /srv/mediawiki/php-1.26wmf13/extensions/Flow/includes/Import/Importer.php(128): Flow\Import\TalkpageImportOperation->import(Object(Flow\Import\PageImportState))
11​#6 /srv/mediawiki/php-1.26wmf13/extensions/Flow/includes/Import/Converter.php(188): Flow\Import\Importer->import(Object(Flow\Import\LiquidThreadsApi\ImportSource), Object(Title), Object(Flow\Import\FileImportSourceStore))
12​#7 /srv/mediawiki/php-1.26wmf13/extensions/Flow/includes/Import/Converter.php(139): Flow\Import\Converter->doConversion(Object(Title), NULL)
13​#8 /srv/mediawiki/php-1.26wmf13/extensions/Flow/includes/Import/Converter.php(108): Flow\Import\Converter->convert(Object(Title))
14​#9 /srv/mediawiki/php-1.26wmf13/extensions/Flow/maintenance/convertLqtPageOnLocalWiki.php(77): Flow\Import\Converter->convertAll(Array)
15​#10 /srv/mediawiki/php-1.26wmf13/maintenance/doMaintenance.php(103): ConvertLqtPageOnLocalWiki->execute()
16​#11 /srv/mediawiki/php-1.26wmf13/extensions/Flow/maintenance/convertLqtPageOnLocalWiki.php(84): require_once('/srv/mediawiki/...')
17​#12 /srv/mediawiki/multiversion/MWScript.php(97): require_once('/srv/mediawiki/...')
18​#13 {main}

It appears to be coming from ['author']['name'], which comes from thread_author_name.

mysql:research@s3-analytics-slave [mediawikiwiki]> SELECT * FROM thread WHERE thread_author_name = 'Ecliptica' LIMIT 10 \G
*************************** 1. row ***************************
               thread_id: 9827
             thread_root: 74619
         thread_ancestor: 0
           thread_parent: NULL
     thread_summary_page: NULL
          thread_subject: Request for username usurpation
        thread_author_id: 356821
      thread_author_name: Ecliptica
         thread_modified: 20120217064238
          thread_created: 20111213063956
       thread_editedness: 1
thread_article_namespace: 3
    thread_article_title: Aaron_Schulz/LQT_Archive_1
       thread_article_id: 68659
             thread_type: 0
          thread_sortkey: 20120217064238
          thread_replies: 3
        thread_signature: [[User:Ecliptica|Ecliptica]] 06:39, 13 December 2011 (UTC)
*************************** 2. row ***************************
               thread_id: 10969
             thread_root: 77295
         thread_ancestor: 9827
           thread_parent: 10841
     thread_summary_page: NULL
          thread_subject: Request for username usurpation
        thread_author_id: 356821
      thread_author_name: Ecliptica
         thread_modified: 20120217064238
          thread_created: 20120114112136
       thread_editedness: 1
thread_article_namespace: 3
    thread_article_title: Aaron_Schulz/LQT_Archive_1
       thread_article_id: 68659
             thread_type: 0
          thread_sortkey: 20120217064238
          thread_replies: 1
        thread_signature: [[User:Ecliptica|Ecliptica]]
2 rows in set (0.05 sec)

Just for completeness, there are no references in revision:

mysql:research@s3-analytics-slave [mediawikiwiki]> SELECT * FROM revision WHERE rev_user_text = 'Ecliptica' LIMIT 10;
Empty set (0.00 sec)

I'm not sure why the thread table has stray references. The fix was in 23460f4d874bdaebf477b333ddea6fe9c2302de3 which was merged in 2009, whereas the rename happened in 2012.

@Legoktm suggested we consider a one-off fix. If so, I will first make sure it works going forward.

There are no references in the remaining user text fields in LiquidThreads:

mysql:research@s3-analytics-slave [mediawikiwiki]> SELECT * FROM thread_history WHERE th_user_text = 'Ecliptica';
Empty set (0.94 sec)

mysql:research@s3-analytics-slave [mediawikiwiki]> SELECT * FROM thread_reaction WHERE tr_user_text = 'Ecliptica';
Empty set (0.00 sec)

@Legoktm said there is a way to finish up a broken rename like this (by explicitly calling into UserRename from eval.php). But for an old case like this, he recommended just fixing the two broken rows manually.

I'll do that after verifying that a fresh rename works.

Fresh rename on Beta was fine.

Before:

1​mysql> SELECT * FROM thread WHERE thread_author_name = 'Old username' LIMIT 10 \G
2​*************************** 1. row ***************************
3​ thread_id: 11013
4​ thread_root: 860
5​ thread_ancestor: 0
6​ thread_parent: NULL
7​ thread_summary_page: NULL
8​ thread_subject: New thread
9​ thread_author_id: 432
10​ thread_author_name: Old username
11​ thread_modified: 20150717202302
12​ thread_created: 20150717202145
13​ thread_editedness: 1
14​thread_article_namespace: 0
15​ thread_article_title: LQT_Rename_Test
16​ thread_article_id: 859
17​ thread_type: 0
18​ thread_sortkey: 20150717202302
19​ thread_replies: 2
20​ thread_signature: [[User:Old username|Old username]] ([[User talk:Old username|talk]])
21​*************************** 2. row ***************************
22​ thread_id: 11014
23​ thread_root: 861
24​ thread_ancestor: 11013
25​ thread_parent: 11013
26​ thread_summary_page: NULL
27​ thread_subject: New thread
28​ thread_author_id: 432
29​ thread_author_name: Old username
30​ thread_modified: 20150717202302
31​ thread_created: 20150717202153
32​ thread_editedness: 2
33​thread_article_namespace: 0
34​ thread_article_title: LQT_Rename_Test
35​ thread_article_id: 859
36​ thread_type: 0
37​ thread_sortkey: 20150717202302
38​ thread_replies: 1
39​ thread_signature: [[User:Old username|Old username]] ([[User talk:Old username|talk]])
40​*************************** 3. row ***************************
41​ thread_id: 11015
42​ thread_root: 862
43​ thread_ancestor: 11013
44​ thread_parent: 11014
45​ thread_summary_page: NULL
46​ thread_subject: New thread
47​ thread_author_id: 432
48​ thread_author_name: Old username
49​ thread_modified: 20150717202203
50​ thread_created: 20150717202203
51​ thread_editedness: 0
52​thread_article_namespace: 0
53​ thread_article_title: LQT_Rename_Test
54​ thread_article_id: 859
55​ thread_type: 0
56​ thread_sortkey: 20150717202203
57​ thread_replies: 0
58​ thread_signature: [[User:Old username|Old username]] ([[User talk:Old username|talk]])
59​3 rows in set (0.02 sec)
60
61​mysql> SELECT * FROM revision WHERE rev_user_text = 'Old username' LIMIT 10\G
62​*************************** 1. row ***************************
63​ rev_id: 1797
64​ rev_page: 860
65​ rev_text_id: 1348
66​ rev_comment: New thread: New thread
67​ rev_user: 432
68​ rev_user_text: Old username
69​ rev_timestamp: 20150717202145
70​ rev_minor_edit: 0
71​ rev_deleted: 0
72​ rev_len: 4
73​ rev_parent_id: 0
74​ rev_sha1: e22wovd8j8vhmq10h6bwfdx02okycwb
75​rev_content_format: NULL
76​ rev_content_model: NULL
77​*************************** 2. row ***************************
78​ rev_id: 1798
79​ rev_page: 861
80​ rev_text_id: 1349
81​ rev_comment: Reply to [[Thread:LQT Rename Test/New thread|New thread]]
82​ rev_user: 432
83​ rev_user_text: Old username
84​ rev_timestamp: 20150717202153
85​ rev_minor_edit: 0
86​ rev_deleted: 0
87​ rev_len: 5
88​ rev_parent_id: 0
89​ rev_sha1: cmvob5khb95z6zw12kzyqs84pcvnp55
90​rev_content_format: NULL
91​ rev_content_model: NULL
92​*************************** 3. row ***************************
93​ rev_id: 1799
94​ rev_page: 862
95​ rev_text_id: 1350
96​ rev_comment: Reply to [[Thread:LQT Rename Test/New thread/reply|New thread]]
97​ rev_user: 432
98​ rev_user_text: Old username
99​ rev_timestamp: 20150717202203
100​ rev_minor_edit: 0
101​ rev_deleted: 0
102​ rev_len: 13
103​ rev_parent_id: 0
104​ rev_sha1: bx86uzhrqfjdmzkp0bedjz7yrh9rmcs
105​rev_content_format: NULL
106​ rev_content_model: NULL
107​*************************** 4. row ***************************
108​ rev_id: 1800
109​ rev_page: 861
110​ rev_text_id: 1351
111​ rev_comment:
112​ rev_user: 432
113​ rev_user_text: Old username
114​ rev_timestamp: 20150717202302
115​ rev_minor_edit: 1
116​ rev_deleted: 0
117​ rev_len: 12
118​ rev_parent_id: 1798
119​ rev_sha1: rnienf2y4vqzi0akvoqhlo4q877mo8l
120​rev_content_format: NULL
121​ rev_content_model: NULL
122​4 rows in set (0.00 sec)
123
124​mysql> SELECT * FROM thread_history WHERE th_user_text = 'Old username' LIMIT 10\G
125​*************************** 1. row ***************************
126​ th_id: 14285
127​ th_thread: 11013
128​ th_timestamp: 20150717202145
129​ th_user: 432
130​ th_user_text: Old username
131​ th_change_type: 0
132​ th_change_object: 11013
133​th_change_comment:
134​ th_content: O:6:"Thread":26:{s:9:" * rootId";i:860;s:12:" * articleId";i:859;s:12:" * summaryId";N;s:13:" * ancestorId";i:0;s:11:" * parentId";N;s:14:" * superthread";N;s:11:" * ancestor";r:1;s:19:" * articleNamespace";i:0;s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202145";s:10:" * created";s:14:"20150717202145";s:10:" * sortkey";s:14:"20150717202145";s:5:" * id";i:11013;s:7:" * type";i:0;s:10:" * subject";s:10:"New thread";s:11:" * authorId";i:432;s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";i:0;s:10:" * editors";N;s:10:" * replies";a:0:{}s:12:" * reactions";N;s:10:"replyCount";i:0;}
135​*************************** 2. row ***************************
136​ th_id: 14286
137​ th_thread: 11013
138​ th_timestamp: 20150717202154
139​ th_user: 432
140​ th_user_text: Old username
141​ th_change_type: 1
142​ th_change_object: 11014
143​th_change_comment: Reply to [[Thread:LQT Rename Test/New thread|New thread]]
144​ th_content: O:6:"Thread":26:{s:9:" * rootId";s:3:"860";s:12:" * articleId";s:3:"859";s:12:" * summaryId";N;s:13:" * ancestorId";s:1:"0";s:11:" * parentId";N;s:14:" * superthread";N;s:11:" * ancestor";r:1;s:19:" * articleNamespace";s:1:"0";s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202154";s:10:" * created";s:14:"20150717202145";s:10:" * sortkey";s:14:"20150717202154";s:5:" * id";s:5:"11013";s:7:" * type";s:1:"0";s:10:" * subject";s:10:"New thread";s:11:" * authorId";s:3:"432";s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";i:1;s:10:" * editors";N;s:10:" * replies";a:1:{i:11014;O:6:"Thread":26:{s:9:" * rootId";i:861;s:12:" * articleId";i:859;s:12:" * summaryId";N;s:13:" * ancestorId";s:5:"11013";s:11:" * parentId";s:5:"11013";s:14:" * superthread";r:1;s:11:" * ancestor";r:1;s:19:" * articleNamespace";i:0;s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202153";s:10:" * created";s:14:"20150717202153";s:10:" * sortkey";s:14:"20150717202153";s:5:" * id";i:11014;s:7:" * type";i:0;s:10:" * subject";s:10:"New thread";s:11:" * authorId";i:432;s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";i:0;s:10:" * editors";N;s:10:" * replies";a:0:{}s:12:" * reactions";N;s:10:"replyCount";i:0;}}s:12:" * reactions";N;s:10:"replyCount";i:1;}
145​*************************** 3. row ***************************
146​ th_id: 14287
147​ th_thread: 11013
148​ th_timestamp: 20150717202203
149​ th_user: 432
150​ th_user_text: Old username
151​ th_change_type: 1
152​ th_change_object: 11015
153​th_change_comment: Reply to [[Thread:LQT Rename Test/New thread/reply|New thread]]
154​ th_content: O:6:"Thread":26:{s:9:" * rootId";s:3:"860";s:12:" * articleId";s:3:"859";s:12:" * summaryId";N;s:13:" * ancestorId";s:1:"0";s:11:" * parentId";N;s:14:" * superthread";N;s:11:" * ancestor";r:1;s:19:" * articleNamespace";s:1:"0";s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202203";s:10:" * created";s:14:"20150717202145";s:10:" * sortkey";s:14:"20150717202203";s:5:" * id";s:5:"11013";s:7:" * type";s:1:"0";s:10:" * subject";s:10:"New thread";s:11:" * authorId";s:3:"432";s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";s:1:"1";s:10:" * editors";N;s:10:" * replies";a:1:{i:11014;O:6:"Thread":26:{s:9:" * rootId";s:3:"861";s:12:" * articleId";s:3:"859";s:12:" * summaryId";N;s:13:" * ancestorId";s:5:"11013";s:11:" * parentId";s:5:"11013";s:14:" * superthread";r:1;s:11:" * ancestor";r:1;s:19:" * articleNamespace";s:1:"0";s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202203";s:10:" * created";s:14:"20150717202153";s:10:" * sortkey";s:14:"20150717202203";s:5:" * id";s:5:"11014";s:7:" * type";s:1:"0";s:10:" * subject";s:10:"New thread";s:11:" * authorId";s:3:"432";s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";i:1;s:10:" * editors";N;s:10:" * replies";a:1:{i:11015;O:6:"Thread":26:{s:9:" * rootId";i:862;s:12:" * articleId";i:859;s:12:" * summaryId";N;s:13:" * ancestorId";s:5:"11013";s:11:" * parentId";s:5:"11014";s:14:" * superthread";r:26;s:11:" * ancestor";r:1;s:19:" * articleNamespace";i:0;s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202203";s:10:" * created";s:14:"20150717202203";s:10:" * sortkey";s:14:"20150717202203";s:5:" * id";i:11015;s:7:" * type";i:0;s:10:" * subject";s:10:"New thread";s:11:" * authorId";i:432;s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";i:0;s:10:" * editors";N;s:10:" * replies";a:0:{}s:12:" * reactions";N;s:10:"replyCount";i:0;}}s:12:" * reactions";N;s:10:"replyCount";i:1;}}s:12:" * reactions";N;s:10:"replyCount";i:2;}
155​*************************** 4. row ***************************
156​ th_id: 14288
157​ th_thread: 11013
158​ th_timestamp: 20150717202302
159​ th_user: 432
160​ th_user_text: Old username
161​ th_change_type: 2
162​ th_change_object: 11014
163​th_change_comment:
164​ th_content: O:6:"Thread":26:{s:9:" * rootId";s:3:"860";s:12:" * articleId";s:3:"859";s:12:" * summaryId";N;s:13:" * ancestorId";s:1:"0";s:11:" * parentId";N;s:14:" * superthread";N;s:11:" * ancestor";r:1;s:19:" * articleNamespace";s:1:"0";s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202302";s:10:" * created";s:14:"20150717202145";s:10:" * sortkey";s:14:"20150717202302";s:5:" * id";s:5:"11013";s:7:" * type";s:1:"0";s:10:" * subject";s:10:"New thread";s:11:" * authorId";s:3:"432";s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";s:1:"1";s:10:" * editors";N;s:10:" * replies";a:1:{i:11014;O:6:"Thread":26:{s:9:" * rootId";s:3:"861";s:12:" * articleId";s:3:"859";s:12:" * summaryId";N;s:13:" * ancestorId";s:5:"11013";s:11:" * parentId";s:5:"11013";s:14:" * superthread";r:1;s:11:" * ancestor";r:1;s:19:" * articleNamespace";s:1:"0";s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202302";s:10:" * created";s:14:"20150717202153";s:10:" * sortkey";s:14:"20150717202302";s:5:" * id";s:5:"11014";s:7:" * type";s:1:"0";s:10:" * subject";s:10:"New thread";s:11:" * authorId";s:3:"432";s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";i:2;s:10:" * editors";N;s:10:" * replies";a:1:{i:11015;O:6:"Thread":26:{s:9:" * rootId";s:3:"862";s:12:" * articleId";s:3:"859";s:12:" * summaryId";N;s:13:" * ancestorId";s:5:"11013";s:11:" * parentId";s:5:"11014";s:14:" * superthread";r:26;s:11:" * ancestor";r:1;s:19:" * articleNamespace";s:1:"0";s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202203";s:10:" * created";s:14:"20150717202203";s:10:" * sortkey";s:14:"20150717202203";s:5:" * id";s:5:"11015";s:7:" * type";s:1:"0";s:10:" * subject";s:10:"New thread";s:11:" * authorId";s:3:"432";s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";s:1:"0";s:10:" * editors";N;s:10:" * replies";a:0:{}s:12:" * reactions";N;s:10:"replyCount";s:1:"0";}}s:12:" * reactions";N;s:10:"replyCount";s:1:"1";}}s:12:" * reactions";N;s:10:"replyCount";s:1:"2";}
165​4 rows in set (0.03 sec)
166
167​mysql> SELECT * FROM thread_reaction WHERE tr_user_text = 'Old username';
168​Empty set (0.00 sec)

I then used Special:GlobalRenameUser.

After:

1​mysql> SELECT * FROM thread WHERE thread_author_name = 'Old username' LIMIT 10 \G
2​Empty set (0.02 sec)
3
4​mysql> SELECT * FROM revision WHERE rev_user_text = 'Old username' LIMIT 10\G
5​Empty set (0.00 sec)
6
7​mysql> SELECT * FROM thread_history WHERE th_user_text = 'Old username' LIMIT 10\G
8​Empty set (0.08 sec)
9
10​mysql> SELECT * FROM thread_reaction WHERE tr_user_text = 'Old username';
11​Empty set (0.00 sec)
12
13​mysql>
14​mysql> SELECT * FROM thread WHERE thread_author_name = 'New username' LIMIT 10 \G
15​*************************** 1. row ***************************
16​ thread_id: 11013
17​ thread_root: 860
18​ thread_ancestor: 0
19​ thread_parent: NULL
20​ thread_summary_page: NULL
21​ thread_subject: New thread
22​ thread_author_id: 432
23​ thread_author_name: New username
24​ thread_modified: 20150717202302
25​ thread_created: 20150717202145
26​ thread_editedness: 1
27​thread_article_namespace: 0
28​ thread_article_title: LQT_Rename_Test
29​ thread_article_id: 859
30​ thread_type: 0
31​ thread_sortkey: 20150717202302
32​ thread_replies: 2
33​ thread_signature: [[User:Old username|Old username]] ([[User talk:Old username|talk]])
34​*************************** 2. row ***************************
35​ thread_id: 11014
36​ thread_root: 861
37​ thread_ancestor: 11013
38​ thread_parent: 11013
39​ thread_summary_page: NULL
40​ thread_subject: New thread
41​ thread_author_id: 432
42​ thread_author_name: New username
43​ thread_modified: 20150717202302
44​ thread_created: 20150717202153
45​ thread_editedness: 2
46​thread_article_namespace: 0
47​ thread_article_title: LQT_Rename_Test
48​ thread_article_id: 859
49​ thread_type: 0
50​ thread_sortkey: 20150717202302
51​ thread_replies: 1
52​ thread_signature: [[User:Old username|Old username]] ([[User talk:Old username|talk]])
53​*************************** 3. row ***************************
54​ thread_id: 11015
55​ thread_root: 862
56​ thread_ancestor: 11013
57​ thread_parent: 11014
58​ thread_summary_page: NULL
59​ thread_subject: New thread
60​ thread_author_id: 432
61​ thread_author_name: New username
62​ thread_modified: 20150717202203
63​ thread_created: 20150717202203
64​ thread_editedness: 0
65​thread_article_namespace: 0
66​ thread_article_title: LQT_Rename_Test
67​ thread_article_id: 859
68​ thread_type: 0
69​ thread_sortkey: 20150717202203
70​ thread_replies: 0
71​ thread_signature: [[User:Old username|Old username]] ([[User talk:Old username|talk]])
72​3 rows in set (0.02 sec)
73
74​mysql> SELECT * FROM revision WHERE rev_user_text = 'New username' LIMIT 10\G
75​*************************** 1. row ***************************
76​ rev_id: 1797
77​ rev_page: 860
78​ rev_text_id: 1348
79​ rev_comment: New thread: New thread
80​ rev_user: 432
81​ rev_user_text: New username
82​ rev_timestamp: 20150717202145
83​ rev_minor_edit: 0
84​ rev_deleted: 0
85​ rev_len: 4
86​ rev_parent_id: 0
87​ rev_sha1: e22wovd8j8vhmq10h6bwfdx02okycwb
88​rev_content_format: NULL
89​ rev_content_model: NULL
90​*************************** 2. row ***************************
91​ rev_id: 1798
92​ rev_page: 861
93​ rev_text_id: 1349
94​ rev_comment: Reply to [[Thread:LQT Rename Test/New thread|New thread]]
95​ rev_user: 432
96​ rev_user_text: New username
97​ rev_timestamp: 20150717202153
98​ rev_minor_edit: 0
99​ rev_deleted: 0
100​ rev_len: 5
101​ rev_parent_id: 0
102​ rev_sha1: cmvob5khb95z6zw12kzyqs84pcvnp55
103​rev_content_format: NULL
104​ rev_content_model: NULL
105​*************************** 3. row ***************************
106​ rev_id: 1799
107​ rev_page: 862
108​ rev_text_id: 1350
109​ rev_comment: Reply to [[Thread:LQT Rename Test/New thread/reply|New thread]]
110​ rev_user: 432
111​ rev_user_text: New username
112​ rev_timestamp: 20150717202203
113​ rev_minor_edit: 0
114​ rev_deleted: 0
115​ rev_len: 13
116​ rev_parent_id: 0
117​ rev_sha1: bx86uzhrqfjdmzkp0bedjz7yrh9rmcs
118​rev_content_format: NULL
119​ rev_content_model: NULL
120​*************************** 4. row ***************************
121​ rev_id: 1800
122​ rev_page: 861
123​ rev_text_id: 1351
124​ rev_comment:
125​ rev_user: 432
126​ rev_user_text: New username
127​ rev_timestamp: 20150717202302
128​ rev_minor_edit: 1
129​ rev_deleted: 0
130​ rev_len: 12
131​ rev_parent_id: 1798
132​ rev_sha1: rnienf2y4vqzi0akvoqhlo4q877mo8l
133​rev_content_format: NULL
134​ rev_content_model: NULL
135​4 rows in set (0.00 sec)
136
137​mysql> SELECT * FROM thread_history WHERE th_user_text = 'New username' LIMIT 10\G
138​*************************** 1. row ***************************
139​ th_id: 14285
140​ th_thread: 11013
141​ th_timestamp: 20150717202145
142​ th_user: 432
143​ th_user_text: New username
144​ th_change_type: 0
145​ th_change_object: 11013
146​th_change_comment:
147​ th_content: O:6:"Thread":26:{s:9:" * rootId";i:860;s:12:" * articleId";i:859;s:12:" * summaryId";N;s:13:" * ancestorId";i:0;s:11:" * parentId";N;s:14:" * superthread";N;s:11:" * ancestor";r:1;s:19:" * articleNamespace";i:0;s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202145";s:10:" * created";s:14:"20150717202145";s:10:" * sortkey";s:14:"20150717202145";s:5:" * id";i:11013;s:7:" * type";i:0;s:10:" * subject";s:10:"New thread";s:11:" * authorId";i:432;s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";i:0;s:10:" * editors";N;s:10:" * replies";a:0:{}s:12:" * reactions";N;s:10:"replyCount";i:0;}
148​*************************** 2. row ***************************
149​ th_id: 14286
150​ th_thread: 11013
151​ th_timestamp: 20150717202154
152​ th_user: 432
153​ th_user_text: New username
154​ th_change_type: 1
155​ th_change_object: 11014
156​th_change_comment: Reply to [[Thread:LQT Rename Test/New thread|New thread]]
157​ th_content: O:6:"Thread":26:{s:9:" * rootId";s:3:"860";s:12:" * articleId";s:3:"859";s:12:" * summaryId";N;s:13:" * ancestorId";s:1:"0";s:11:" * parentId";N;s:14:" * superthread";N;s:11:" * ancestor";r:1;s:19:" * articleNamespace";s:1:"0";s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202154";s:10:" * created";s:14:"20150717202145";s:10:" * sortkey";s:14:"20150717202154";s:5:" * id";s:5:"11013";s:7:" * type";s:1:"0";s:10:" * subject";s:10:"New thread";s:11:" * authorId";s:3:"432";s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";i:1;s:10:" * editors";N;s:10:" * replies";a:1:{i:11014;O:6:"Thread":26:{s:9:" * rootId";i:861;s:12:" * articleId";i:859;s:12:" * summaryId";N;s:13:" * ancestorId";s:5:"11013";s:11:" * parentId";s:5:"11013";s:14:" * superthread";r:1;s:11:" * ancestor";r:1;s:19:" * articleNamespace";i:0;s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202153";s:10:" * created";s:14:"20150717202153";s:10:" * sortkey";s:14:"20150717202153";s:5:" * id";i:11014;s:7:" * type";i:0;s:10:" * subject";s:10:"New thread";s:11:" * authorId";i:432;s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";i:0;s:10:" * editors";N;s:10:" * replies";a:0:{}s:12:" * reactions";N;s:10:"replyCount";i:0;}}s:12:" * reactions";N;s:10:"replyCount";i:1;}
158​*************************** 3. row ***************************
159​ th_id: 14287
160​ th_thread: 11013
161​ th_timestamp: 20150717202203
162​ th_user: 432
163​ th_user_text: New username
164​ th_change_type: 1
165​ th_change_object: 11015
166​th_change_comment: Reply to [[Thread:LQT Rename Test/New thread/reply|New thread]]
167​ th_content: O:6:"Thread":26:{s:9:" * rootId";s:3:"860";s:12:" * articleId";s:3:"859";s:12:" * summaryId";N;s:13:" * ancestorId";s:1:"0";s:11:" * parentId";N;s:14:" * superthread";N;s:11:" * ancestor";r:1;s:19:" * articleNamespace";s:1:"0";s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202203";s:10:" * created";s:14:"20150717202145";s:10:" * sortkey";s:14:"20150717202203";s:5:" * id";s:5:"11013";s:7:" * type";s:1:"0";s:10:" * subject";s:10:"New thread";s:11:" * authorId";s:3:"432";s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";s:1:"1";s:10:" * editors";N;s:10:" * replies";a:1:{i:11014;O:6:"Thread":26:{s:9:" * rootId";s:3:"861";s:12:" * articleId";s:3:"859";s:12:" * summaryId";N;s:13:" * ancestorId";s:5:"11013";s:11:" * parentId";s:5:"11013";s:14:" * superthread";r:1;s:11:" * ancestor";r:1;s:19:" * articleNamespace";s:1:"0";s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202203";s:10:" * created";s:14:"20150717202153";s:10:" * sortkey";s:14:"20150717202203";s:5:" * id";s:5:"11014";s:7:" * type";s:1:"0";s:10:" * subject";s:10:"New thread";s:11:" * authorId";s:3:"432";s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";i:1;s:10:" * editors";N;s:10:" * replies";a:1:{i:11015;O:6:"Thread":26:{s:9:" * rootId";i:862;s:12:" * articleId";i:859;s:12:" * summaryId";N;s:13:" * ancestorId";s:5:"11013";s:11:" * parentId";s:5:"11014";s:14:" * superthread";r:26;s:11:" * ancestor";r:1;s:19:" * articleNamespace";i:0;s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202203";s:10:" * created";s:14:"20150717202203";s:10:" * sortkey";s:14:"20150717202203";s:5:" * id";i:11015;s:7:" * type";i:0;s:10:" * subject";s:10:"New thread";s:11:" * authorId";i:432;s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";i:0;s:10:" * editors";N;s:10:" * replies";a:0:{}s:12:" * reactions";N;s:10:"replyCount";i:0;}}s:12:" * reactions";N;s:10:"replyCount";i:1;}}s:12:" * reactions";N;s:10:"replyCount";i:2;}
168​*************************** 4. row ***************************
169​ th_id: 14288
170​ th_thread: 11013
171​ th_timestamp: 20150717202302
172​ th_user: 432
173​ th_user_text: New username
174​ th_change_type: 2
175​ th_change_object: 11014
176​th_change_comment:
177​ th_content: O:6:"Thread":26:{s:9:" * rootId";s:3:"860";s:12:" * articleId";s:3:"859";s:12:" * summaryId";N;s:13:" * ancestorId";s:1:"0";s:11:" * parentId";N;s:14:" * superthread";N;s:11:" * ancestor";r:1;s:19:" * articleNamespace";s:1:"0";s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202302";s:10:" * created";s:14:"20150717202145";s:10:" * sortkey";s:14:"20150717202302";s:5:" * id";s:5:"11013";s:7:" * type";s:1:"0";s:10:" * subject";s:10:"New thread";s:11:" * authorId";s:3:"432";s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";s:1:"1";s:10:" * editors";N;s:10:" * replies";a:1:{i:11014;O:6:"Thread":26:{s:9:" * rootId";s:3:"861";s:12:" * articleId";s:3:"859";s:12:" * summaryId";N;s:13:" * ancestorId";s:5:"11013";s:11:" * parentId";s:5:"11013";s:14:" * superthread";r:1;s:11:" * ancestor";r:1;s:19:" * articleNamespace";s:1:"0";s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202302";s:10:" * created";s:14:"20150717202153";s:10:" * sortkey";s:14:"20150717202302";s:5:" * id";s:5:"11014";s:7:" * type";s:1:"0";s:10:" * subject";s:10:"New thread";s:11:" * authorId";s:3:"432";s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";i:2;s:10:" * editors";N;s:10:" * replies";a:1:{i:11015;O:6:"Thread":26:{s:9:" * rootId";s:3:"862";s:12:" * articleId";s:3:"859";s:12:" * summaryId";N;s:13:" * ancestorId";s:5:"11013";s:11:" * parentId";s:5:"11014";s:14:" * superthread";r:26;s:11:" * ancestor";r:1;s:19:" * articleNamespace";s:1:"0";s:15:" * articleTitle";s:15:"LQT_Rename_Test";s:11:" * modified";s:14:"20150717202203";s:10:" * created";s:14:"20150717202203";s:10:" * sortkey";s:14:"20150717202203";s:5:" * id";s:5:"11015";s:7:" * type";s:1:"0";s:10:" * subject";s:10:"New thread";s:11:" * authorId";s:3:"432";s:13:" * authorName";s:12:"Old username";s:12:" * signature";s:68:"[[User:Old username|Old username]] ([[User talk:Old username|talk]])";s:16:" * allDataLoaded";N;s:15:" * isHistorical";b:0;s:15:" * rootRevision";N;s:10:"editedness";s:1:"0";s:10:" * editors";N;s:10:" * replies";a:0:{}s:12:" * reactions";N;s:10:"replyCount";s:1:"0";}}s:12:" * reactions";N;s:10:"replyCount";s:1:"1";}}s:12:" * reactions";N;s:10:"replyCount";s:1:"2";}
178​4 rows in set (0.06 sec)
179
180​mysql> SELECT * FROM thread_reaction WHERE tr_user_text = 'New username';
181​Empty set (0.00 sec)

No trace of Old username in the old columns. Everything thing seems fine. A couple notes:

  • Still has the old signature, as expected.
  • Serialized data in thread_history (i.e. s:13:" * authorName";s:12:"Old username") refers to the old one, but this shouldn't affect us.

Updated table manually:

mysql:wikiadmin@db1038 [mediawikiwiki]> UPDATE thread SET thread_author_name = 'Entropy' WHERE thread_author_name = 'Ecliptica';
Query OK, 2 rows affected (0.15 sec)
Rows matched: 2  Changed: 2  Warnings: 0

Will retry the conversion soon.

Successfully resumed:

1​mwscript extensions/Flow/maintenance/convertLqtPageOnLocalWiki.php --wiki=mediawikiwiki --debug --srcpage "User_talk:Aaron_Schulz/LQT_Archive_1" --logfile "/tmp/User talk:Aaron Schulz.log"| tee --append ~/2015_07_17_LQT_Flow_Aaron_Schulz.log
2​[2015-07-17 22:26:04] Starting LQT conversion of page User_talk:Aaron_Schulz/LQT_Archive_1
3​[2015-07-17 22:26:04] Page previously archived from User talk:Aaron Schulz to User talk:Aaron Schulz/LQT Archive 1
4​[2015-07-17 22:26:04] Importing to User talk:Aaron Schulz
5​[2015-07-17 22:26:04] Workflow isNew: false
6​[2015-07-17 22:26:04] Importing header
7​[2015-07-17 22:26:04] header previously imported
8​[2015-07-17 22:26:04] Continuing import to Topic:Q7plqgqj3218le98
9​[2015-07-17 22:26:04] Importing post
10​[2015-07-17 22:26:04] Post previously imported
11​[2015-07-17 22:26:04] Importing post
12​[2015-07-17 22:26:04] Post previously imported
13​[2015-07-17 22:26:04] Continuing import to Topic:Q8k0cvrzzxw5dqln
14​[2015-07-17 22:26:04] Importing post
15​[2015-07-17 22:26:04] Post previously imported
16​[2015-07-17 22:26:04] Importing post
17​[2015-07-17 22:26:04] Post previously imported
18​[2015-07-17 22:26:05] Continuing import to Topic:Qa8lla2mhwqdody8
19​[2015-07-17 22:26:05] Importing post
20​[2015-07-17 22:26:05] Post previously imported
21​[2015-07-17 22:26:05] Importing post
22​[2015-07-17 22:26:05] Post previously imported
23​[2015-07-17 22:26:05] Importing new topic
24​[2015-07-17 22:26:05] Finished importing topic title with 1 revisions
25​[2015-07-17 22:26:05] Importing post
26​[2015-07-17 22:26:05] Finished importing post with 2 revisions
27​[2015-07-17 22:26:05] Importing post
28​[2015-07-17 22:26:06] Finished importing post with 1 revisions
29​[2015-07-17 22:26:06] Importing post
30​[2015-07-17 22:26:06] Finished importing post with 2 revisions
31​[2015-07-17 22:26:06] Importing post
32​[2015-07-17 22:26:06] Finished importing post with 1 revisions
33​[2015-07-17 22:26:16] Continuing import to Topic:Qc9hh0y06vm0dicy
34​[2015-07-17 22:26:16] Importing post
35​[2015-07-17 22:26:16] Post previously imported
36​[2015-07-17 22:26:16] Importing post
37​[2015-07-17 22:26:16] Post previously imported
38​[2015-07-17 22:26:16] Continuing import to Topic:Qdiawco9z46dtsi3
39​[2015-07-17 22:26:16] Importing post
40​[2015-07-17 22:26:16] Post previously imported
41​[2015-07-17 22:26:16] Importing post
42​[2015-07-17 22:26:16] Post previously imported
43​[2015-07-17 22:26:16] Importing post
44​[2015-07-17 22:26:16] Post previously imported
45​[2015-07-17 22:26:16] Continuing import to Topic:Qe3x3yf5ql5zw0vt
46​[2015-07-17 22:26:16] Importing post
47​[2015-07-17 22:26:16] Post previously imported
48​[2015-07-17 22:26:16] Importing post
49​[2015-07-17 22:26:16] Post previously imported
50​[2015-07-17 22:26:17] Continuing import to Topic:Qfojwq8y489ws5b1
51​[2015-07-17 22:26:17] Importing post
52​[2015-07-17 22:26:17] Post previously imported
53​[2015-07-17 22:26:17] Importing post
54​[2015-07-17 22:26:17] Post previously imported
55​[2015-07-17 22:26:17] Importing post
56​[2015-07-17 22:26:17] Post previously imported
57​[2015-07-17 22:26:17] Importing post
58​[2015-07-17 22:26:17] Post previously imported
59​[2015-07-17 22:26:17] Continuing import to Topic:Qfxha0hv2femuzur
60​[2015-07-17 22:26:17] Importing post
61​[2015-07-17 22:26:17] Post previously imported
62​[2015-07-17 22:26:17] Importing post
63​[2015-07-17 22:26:17] Post previously imported
64​[2015-07-17 22:26:17] Importing post
65​[2015-07-17 22:26:17] Post previously imported
66​[2015-07-17 22:26:17] Continuing import to Topic:Qfxhmn819euj04jw
67​[2015-07-17 22:26:17] Importing post
68​[2015-07-17 22:26:17] Post previously imported
69​[2015-07-17 22:26:17] Importing post
70​[2015-07-17 22:26:17] Post previously imported
71​[2015-07-17 22:26:17] Importing post
72​[2015-07-17 22:26:17] Post previously imported
73​[2015-07-17 22:26:17] Importing post
74​[2015-07-17 22:26:17] Post previously imported
75​[2015-07-17 22:26:17] Importing post
76​[2015-07-17 22:26:17] Post previously imported
77​[2015-07-17 22:26:18] Continuing import to Topic:Qg5qvflwaletmvhb
78​[2015-07-17 22:26:18] Importing post
79​[2015-07-17 22:26:18] Post previously imported
80​[2015-07-17 22:26:18] Importing post
81​[2015-07-17 22:26:18] Post previously imported
82​[2015-07-17 22:26:18] Importing post
83​[2015-07-17 22:26:18] Post previously imported
84​[2015-07-17 22:26:18] Importing post
85​[2015-07-17 22:26:18] Post previously imported
86​[2015-07-17 22:26:18] Continuing import to Topic:Qgqv9a011dtj6yvk
87​[2015-07-17 22:26:18] Importing post
88​[2015-07-17 22:26:18] Post previously imported
89​[2015-07-17 22:26:18] Continuing import to Topic:Qict6oa5pjejtmmz
90​[2015-07-17 22:26:18] Importing post
91​[2015-07-17 22:26:18] Post previously imported
92​[2015-07-17 22:26:19] Continuing import to Topic:Qjm56003uypmbxgd
93​[2015-07-17 22:26:19] Importing post
94​[2015-07-17 22:26:19] Post previously imported
95​[2015-07-17 22:26:19] Importing post
96​[2015-07-17 22:26:19] Post previously imported
97​[2015-07-17 22:26:19] Continuing import to Topic:Qkwepfnb4po2tjo8
98​[2015-07-17 22:26:19] Importing post
99​[2015-07-17 22:26:19] Post previously imported
100​[2015-07-17 22:26:19] Importing post
101​[2015-07-17 22:26:19] Post previously imported
102​[2015-07-17 22:26:20] Continuing import to Topic:Qlamh2tjtxt0jrlf
103​[2015-07-17 22:26:20] Importing post
104​[2015-07-17 22:26:20] Post previously imported
105​[2015-07-17 22:26:20] Importing post
106​[2015-07-17 22:26:20] Post previously imported
107​[2015-07-17 22:26:20] Importing post
108​[2015-07-17 22:26:20] Post previously imported
109​[2015-07-17 22:26:20] Importing post
110​[2015-07-17 22:26:20] Post previously imported
111​[2015-07-17 22:26:20] Importing post
112​[2015-07-17 22:26:20] Post previously imported
113​[2015-07-17 22:26:20] Importing post
114​[2015-07-17 22:26:20] Post previously imported
115​[2015-07-17 22:26:20] Importing post
116​[2015-07-17 22:26:20] Post previously imported
117​[2015-07-17 22:26:20] Importing post
118​[2015-07-17 22:26:20] Post previously imported
119​[2015-07-17 22:26:20] Importing post
120​[2015-07-17 22:26:20] Post previously imported
121​[2015-07-17 22:26:20] Importing post
122​[2015-07-17 22:26:20] Post previously imported
123​[2015-07-17 22:26:20] Importing post
124​[2015-07-17 22:26:20] Post previously imported
125​[2015-07-17 22:26:20] Importing post
126​[2015-07-17 22:26:20] Post previously imported
127​[2015-07-17 22:26:20] Importing post
128​[2015-07-17 22:26:20] Post previously imported
129​[2015-07-17 22:26:20] Importing post
130​[2015-07-17 22:26:20] Post previously imported
131​[2015-07-17 22:26:20] Importing post
132​[2015-07-17 22:26:20] Post previously imported
133​[2015-07-17 22:26:20] Importing post
134​[2015-07-17 22:26:20] Post previously imported
135​[2015-07-17 22:26:20] Importing post
136​[2015-07-17 22:26:20] Post previously imported
137​[2015-07-17 22:26:20] Importing post
138​[2015-07-17 22:26:20] Post previously imported
139​[2015-07-17 22:26:20] Importing post
140​[2015-07-17 22:26:20] Post previously imported
141​[2015-07-17 22:26:20] Importing post
142​[2015-07-17 22:26:20] Post previously imported
143​[2015-07-17 22:26:20] Importing post
144​[2015-07-17 22:26:20] Post previously imported
145​[2015-07-17 22:26:20] Importing post
146​[2015-07-17 22:26:20] Post previously imported
147​[2015-07-17 22:26:20] Importing post
148​[2015-07-17 22:26:20] Post previously imported
149​[2015-07-17 22:26:21] Continuing import to Topic:Qmi51h6vi4fmpjas
150​[2015-07-17 22:26:21] Importing post
151​[2015-07-17 22:26:21] Post previously imported
152​[2015-07-17 22:26:21] Importing post
153​[2015-07-17 22:26:21] Post previously imported
154​[2015-07-17 22:26:21] Importing post
155​[2015-07-17 22:26:21] Post previously imported
156​[2015-07-17 22:26:21] Importing post
157​[2015-07-17 22:26:21] Post previously imported
158​[2015-07-17 22:26:21] Importing post
159​[2015-07-17 22:26:21] Post previously imported
160​[2015-07-17 22:26:21] Importing post
161​[2015-07-17 22:26:21] Post previously imported
162​[2015-07-17 22:26:21] Importing post
163​[2015-07-17 22:26:21] Post previously imported
164​[2015-07-17 22:26:21] Importing post
165​[2015-07-17 22:26:21] Post previously imported
166​[2015-07-17 22:26:21] Continuing import to Topic:Qmx3013t5kxnbb6i
167​[2015-07-17 22:26:21] Importing post
168​[2015-07-17 22:26:21] Post previously imported
169​[2015-07-17 22:26:21] Continuing import to Topic:Qnl94h0jp6usj4yl
170​[2015-07-17 22:26:21] Importing post
171​[2015-07-17 22:26:21] Post previously imported
172​[2015-07-17 22:26:21] Importing post
173​[2015-07-17 22:26:21] Post previously imported
174​[2015-07-17 22:26:21] Importing post
175​[2015-07-17 22:26:21] Post previously imported
176​[2015-07-17 22:26:22] Continuing import to Topic:Qoad56bewpr348db
177​[2015-07-17 22:26:22] Importing post
178​[2015-07-17 22:26:22] Post previously imported
179​[2015-07-17 22:26:22] Importing post
180​[2015-07-17 22:26:22] Post previously imported
181​[2015-07-17 22:26:22] Importing post
182​[2015-07-17 22:26:22] Post previously imported
183​[2015-07-17 22:26:22] Importing post
184​[2015-07-17 22:26:22] Post previously imported
185​[2015-07-17 22:26:22] Importing post
186​[2015-07-17 22:26:22] Post previously imported
187​[2015-07-17 22:26:22] Continuing import to Topic:Qookqrs77nwtvt9d
188​[2015-07-17 22:26:22] Importing post
189​[2015-07-17 22:26:22] Post previously imported
190​[2015-07-17 22:26:22] Importing post
191​[2015-07-17 22:26:22] Post previously imported
192​[2015-07-17 22:26:22] Importing post
193​[2015-07-17 22:26:22] Post previously imported
194​[2015-07-17 22:26:22] Importing post
195​[2015-07-17 22:26:22] Post previously imported
196​[2015-07-17 22:26:22] Importing post
197​[2015-07-17 22:26:22] Post previously imported
198​[2015-07-17 22:26:23] Continuing import to Topic:Qopg8jrh8b53cxhb
199​[2015-07-17 22:26:23] Importing post
200​[2015-07-17 22:26:23] Post previously imported
201​[2015-07-17 22:26:23] Continuing import to Topic:Qp002q5ve7c49rly
202​[2015-07-17 22:26:23] Importing post
203​[2015-07-17 22:26:23] Post previously imported
204​[2015-07-17 22:26:23] Continuing import to Topic:Qp05h67i7hjatyag
205​[2015-07-17 22:26:23] Importing post
206​[2015-07-17 22:26:23] Post previously imported
207​[2015-07-17 22:26:23] Importing post
208​[2015-07-17 22:26:23] Post previously imported
209​[2015-07-17 22:26:23] Importing post
210​[2015-07-17 22:26:23] Post previously imported
211​[2015-07-17 22:26:23] Importing post
212​[2015-07-17 22:26:23] Post previously imported
213​[2015-07-17 22:26:23] Continuing import to Topic:Qpddcnbz7s4alnbn
214​[2015-07-17 22:26:23] Importing post
215​[2015-07-17 22:26:23] Post previously imported
216​[2015-07-17 22:26:23] Importing post
217​[2015-07-17 22:26:23] Post previously imported
218​[2015-07-17 22:26:23] Importing post
219​[2015-07-17 22:26:23] Post previously imported
220​[2015-07-17 22:26:24] Continuing import to Topic:Qqsqey5nrd8vxazb
221​[2015-07-17 22:26:24] Importing post
222​[2015-07-17 22:26:24] Post previously imported
223​[2015-07-17 22:26:24] Continuing import to Topic:Qt3204v3vk549701
224​[2015-07-17 22:26:24] Importing post
225​[2015-07-17 22:26:24] Post previously imported
226​[2015-07-17 22:26:24] Importing post
227​[2015-07-17 22:26:24] Post previously imported
228​[2015-07-17 22:26:24] Continuing import to Topic:Qttz7q6usuqy5of6
229​[2015-07-17 22:26:24] Importing post
230​[2015-07-17 22:26:24] Post previously imported
231​[2015-07-17 22:26:24] Importing post
232​[2015-07-17 22:26:24] Post previously imported
233​[2015-07-17 22:26:25] Continuing import to Topic:Qtuvlq04ywu6d5yy
234​[2015-07-17 22:26:25] Importing post
235​[2015-07-17 22:26:25] Post previously imported
236​[2015-07-17 22:26:25] Continuing import to Topic:Qvtix1f2tqmr0cgy
237​[2015-07-17 22:26:25] Importing post
238​[2015-07-17 22:26:25] Post previously imported
239​[2015-07-17 22:26:25] Importing post
240​[2015-07-17 22:26:25] Post previously imported
241​[2015-07-17 22:26:25] Continuing import to Topic:Qxuingxzz97pfxzh
242​[2015-07-17 22:26:25] Importing post
243​[2015-07-17 22:26:25] Post previously imported
244​[2015-07-17 22:26:25] Importing post
245​[2015-07-17 22:26:25] Post previously imported
246​[2015-07-17 22:26:26] Continuing import to Topic:Qyix8rc0t778fiqi
247​[2015-07-17 22:26:26] Importing post
248​[2015-07-17 22:26:26] Post previously imported
249​[2015-07-17 22:26:26] Importing post
250​[2015-07-17 22:26:26] Post previously imported
251​[2015-07-17 22:26:26] Importing post
252​[2015-07-17 22:26:26] Post previously imported
253​[2015-07-17 22:26:26] Importing post
254​[2015-07-17 22:26:26] Post previously imported
255​[2015-07-17 22:26:26] Importing post
256​[2015-07-17 22:26:26] Post previously imported
257​[2015-07-17 22:26:26] Continuing import to Topic:Qz50nfugafnim1zd
258​[2015-07-17 22:26:26] Importing post
259​[2015-07-17 22:26:26] Post previously imported
260​[2015-07-17 22:26:26] Importing post
261​[2015-07-17 22:26:26] Post previously imported
262​[2015-07-17 22:26:26] Importing post
263​[2015-07-17 22:26:26] Post previously imported
264​[2015-07-17 22:26:26] Continuing import to Topic:R194ty9zn0n3ozrn
265​[2015-07-17 22:26:26] Importing post
266​[2015-07-17 22:26:26] Post previously imported
267​[2015-07-17 22:26:27] Continuing import to Topic:R1xp2mbs54qhf6gs
268​[2015-07-17 22:26:27] Importing post
269​[2015-07-17 22:26:27] Post previously imported
270​[2015-07-17 22:26:27] Importing post
271​[2015-07-17 22:26:27] Post previously imported
272​[2015-07-17 22:26:27] Continuing import to Topic:R6026t841mxj79xg
273​[2015-07-17 22:26:27] Importing post
274​[2015-07-17 22:26:27] Post previously imported
275​[2015-07-17 22:26:27] Importing post
276​[2015-07-17 22:26:27] Post previously imported
277​[2015-07-17 22:26:27] Continuing import to Topic:R8u073hzw8td1l6e
278​[2015-07-17 22:26:27] Importing post
279​[2015-07-17 22:26:27] Post previously imported
280​[2015-07-17 22:26:28] Continuing import to Topic:Rcfgynnmjr9nkbq6
281​[2015-07-17 22:26:28] Importing post
282​[2015-07-17 22:26:28] Post previously imported
283​[2015-07-17 22:26:28] Continuing import to Topic:Rcfh4perr695d0h7
284​[2015-07-17 22:26:28] Importing post
285​[2015-07-17 22:26:28] Post previously imported
286​[2015-07-17 22:26:28] Importing post
287​[2015-07-17 22:26:28] Post previously imported
288​[2015-07-17 22:26:28] Continuing import to Topic:Rdgo4pokh701q2k5
289​[2015-07-17 22:26:28] Importing post
290​[2015-07-17 22:26:28] Post previously imported
291​[2015-07-17 22:26:28] Importing post
292​[2015-07-17 22:26:28] Post previously imported
293​[2015-07-17 22:26:28] Importing post
294​[2015-07-17 22:26:28] Post previously imported
295​[2015-07-17 22:26:28] Continuing import to Topic:Rdi649638hcslr0a
296​[2015-07-17 22:26:28] Importing post
297​[2015-07-17 22:26:28] Post previously imported
298​[2015-07-17 22:26:28] Importing post
299​[2015-07-17 22:26:28] Post previously imported
300​[2015-07-17 22:26:28] Continuing import to Topic:Rdy75w9hagn7oxgj
301​[2015-07-17 22:26:28] Importing post
302​[2015-07-17 22:26:28] Post previously imported
303​[2015-07-17 22:26:29] Continuing import to Topic:Rgle9g50sz8w8rsj
304​[2015-07-17 22:26:29] Importing post
305​[2015-07-17 22:26:29] Post previously imported
306​[2015-07-17 22:26:29] Importing post
307​[2015-07-17 22:26:29] Post previously imported
308​[2015-07-17 22:26:29] Importing post
309​[2015-07-17 22:26:29] Post previously imported
310​[2015-07-17 22:26:29] Continuing import to Topic:Rhvz7bpfqnneoulu
311​[2015-07-17 22:26:29] Importing post
312​[2015-07-17 22:26:29] Post previously imported
313​[2015-07-17 22:26:29] Continuing import to Topic:Rx9k7yhuf49tqddz
314​[2015-07-17 22:26:29] Importing post
315​[2015-07-17 22:26:29] Post previously imported
316​[2015-07-17 22:26:29] Importing post
317​[2015-07-17 22:26:29] Post previously imported
318​[2015-07-17 22:26:29] Importing post
319​[2015-07-17 22:26:29] Post previously imported
320​[2015-07-17 22:26:29] Importing post
321​[2015-07-17 22:26:29] Post previously imported
322​[2015-07-17 22:26:29] Importing post
323​[2015-07-17 22:26:29] Post previously imported
324​[2015-07-17 22:26:29] Importing post
325​[2015-07-17 22:26:29] Post previously imported
326​[2015-07-17 22:26:29] Importing post
327​[2015-07-17 22:26:29] Post previously imported
328​[2015-07-17 22:26:30] Continuing import to Topic:Ryk43m7fdc919hzc
329​[2015-07-17 22:26:30] Importing post
330​[2015-07-17 22:26:30] Post previously imported
331​[2015-07-17 22:26:30] Continuing import to Topic:Sau3stpw2v1qlb7q
332​[2015-07-17 22:26:30] Importing post
333​[2015-07-17 22:26:30] Post previously imported
334​[2015-07-17 22:26:30] Continuing import to Topic:Sb4uvl1l1qlyi530
335​[2015-07-17 22:26:30] Importing post
336​[2015-07-17 22:26:30] Post previously imported
337​[2015-07-17 22:26:31] Continuing import to Topic:Sb92ae5eody302qv
338​[2015-07-17 22:26:31] Importing post
339​[2015-07-17 22:26:31] Post previously imported
340​[2015-07-17 22:26:31] Continuing import to Topic:Sfqjoy4yva4v6ssn
341​[2015-07-17 22:26:31] Importing post
342​[2015-07-17 22:26:31] Post previously imported
343​[2015-07-17 22:26:31] Continuing import to Topic:Sgjp9qamh1rri77s
344​[2015-07-17 22:26:31] Importing post
345​[2015-07-17 22:26:31] Post previously imported
346​[2015-07-17 22:26:31] Importing post
347​[2015-07-17 22:26:31] Post previously imported
348​[2015-07-17 22:26:31] Continuing import to Topic:Shr4v97oykphk370
349​[2015-07-17 22:26:31] Importing post
350​[2015-07-17 22:26:31] Post previously imported
351​[2015-07-17 22:26:32] Continuing import to Topic:Sjocnv6ajf6jrb4t
352​[2015-07-17 22:26:32] Importing post
353​[2015-07-17 22:26:32] Post previously imported
354​[2015-07-17 22:26:32] Importing post
355​[2015-07-17 22:26:32] Post previously imported
356​[2015-07-17 22:26:32] Continuing import to Topic:Ski3xxs446kvsi72
357​[2015-07-17 22:26:32] Importing post
358​[2015-07-17 22:26:32] Post previously imported
359​[2015-07-17 22:26:32] Flow\Import\LiquidThreadsApi\ApiBackend::retrieveThreadData: Did not find thread with conditions: {"thpage":"User talk:Aaron Schulz\/LQT Archive 1","thstartid":58379}
360​[2015-07-17 22:26:32] Imported 55 items, failed 0
361​[2015-07-17 22:26:33] Completed import to User talk:Aaron Schulz from User talk:Aaron Schulz/LQT Archive 1
362​[2015-07-17 22:26:33] Finished LQT conversion of page User_talk:Aaron_Schulz/LQT_Archive_1

https://www.mediawiki.org/wiki/Topic:Qc1za9n0echr4miz

DannyH renamed this task from Rename of user on MediaWiki.org is not fully reflected, causing LQT->Flow error to F12. Rename of user on MediaWiki.org is not fully reflected, causing LQT->Flow error.Jul 23 2015, 12:42 AM

Checked testwiki to compare to MediaWiki.org - as per T106569 (Check for other missing users on MediaWiki.org in revision or LQT tables)

MariaDB [testwiki]>SELECT DISTINCT thread_author_name, user_name 
FROM thread LEFT OUTER JOIN user 
 ON thread_author_name = user_name 
WHERE user_name IS NULL 
 AND thread_author_name NOT REGEXP '^[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}$' 
 AND thread_author_name NOT REGEXP '^[0-9A-F]*.*:([0-9A-F])*$' ;

1225 rows in set (0.05 sec)
MariaDB [testwiki]> SELECT page_namespace, page_title, rev_user_text, user_name 
FROM page JOIN revision ON page_id = rev_page LEFT OUTER JOIN user 
 ON rev_user_text = user_name 
WHERE user_name IS NULL 
 AND rev_user_text NOT REGEXP '^[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}$' 
 AND rev_user_text NOT REGEXP '^[0-9A-F]*.*:([0-9A-F])*$' AND ( ( page_namespace = 4 
 AND page_title = 'Support_desk' ) OR ( page_namespace = 0 
 AND page_title = 'VisualEditor/Feedback' ) OR page_namespace IN ( 90, 91, 92, 93 ) ) LIMIT 100;

2 rows in set (0.01 sec)
MariaDB [testwiki]>  SELECT DISTINCT th_user_text, user_name 
FROM thread_history 
LEFT OUTER JOIN user ON th_user_text = user_name
WHERE user_name IS NULL 
 AND th_user_text NOT REGEXP '^[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}$' 
 AND th_user_text NOT REGEXP '^[0-9A-F]*.*:([0-9A-F])*$' ;

1242 rows in set (0.15 sec)
MariaDB [testwiki]> SELECT tr_user_text, user_name 
FROM thread_reaction 
LEFT OUTER JOIN user ON tr_user_text = user_name 
WHERE user_name IS NULL 
 AND tr_user_text NOT REGEXP '^[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}$' 
 AND tr_user_text NOT REGEXP '^[0-9A-F]*.*:([0-9A-F])*$' LIMIT 100;

Empty set (0.00 sec)

And for some reason:

MariaDB [testwiki]> SELECT DISTINCT thread_author_name  
FROM thread 
WHERE thread_author_name NOT IN (select rev_user_text from revision) 
AND thread_author_name NOT REGEXP '^[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}$' AND thread_author_name NOT REGEXP '^[0-9A-F]*.*:([0-9A-F])*$' ;

1253 rows in set (0.04 sec)
DannyH closed this task as Resolved.Jul 23 2015, 9:42 PM
DannyH moved this task from Product Review to Done on the Collaboration-Team-Archive-2015-2016 board.